package com.heyu.api.baidu.handle.certificate;


import com.heyu.api.data.annotation.CustomPath;
import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.certificate.BPassportRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740308374343#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8D%A1%E8%AF%81OCR&api=rest%2F2.0%2Focr%2Fv1%2Fpassport&method=post
 * <p>
 * <p>
 * 护照识别
 */

@Component
@Slf4j
@CustomPath("passport")
public class BPassportHandle extends BaiduBaseHandle<BPassportRequest, Map> {

    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/passport";
    }

    @Override
    public String check(BPassportRequest bPassportRequest) {
        return checkImageUri(bPassportRequest);
    }

    @Override
    public String getContent(BPassportRequest bPassportRequest) {
        return getImageContent(bPassportRequest).toString();
    }
}
